UiPath Documentation
automation-suite
2.2510
true
Automation Suite API guide

Delete external clients

Delete a specific external OAuth client from an Automation Suite organization using the Identity API, including required scope and response codes.

Delete a specific external client.

API endpoint​

DELETE https://{yourDomain}/{organizationName}/identity_/api/ExternalClient/{partitionGlobalId}/{clientId}

Scopes​

Requires either one of the following scopes:

  • PM.OAuthApp
  • PM.OAuthApp.Write

Request headers​

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:

To obtain the {access_token}, make sure to authenticate through one of the methods described in Authentication methods.

Request body​

The request body contains the organization ID from where you want to delete the external client, and the corresponding client ID.

{
  "partitionGlobalId": "<organizationId>",
  "clientId": "<clientId>"
}
{
  "partitionGlobalId": "<organizationId>",
  "clientId": "<clientId>"
}

Responses​

204 No content​

The external client has been successfully deleted. No values are returned.

  • API endpoint​
  • Scopes​
  • Request headers​
  • Request body​
  • Responses​
  • 204 No content​

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated